Bug 128598 - FILEOPEN: Certain syntax of opening file from samba share results in Document in Use dialog
Summary: FILEOPEN: Certain syntax of opening file from samba share results in Document...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.3.0.4 release
Hardware: All Linux (All)
: medium minor
Assignee: Stephan Bergmann
URL:
Whiteboard: target:6.4.0.1 target:6.5.0 target:6.3.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Network
  Show dependency treegraph
 
Reported: 2019-11-05 00:38 UTC by Aron Budea
Modified: 2019-11-25 10:59 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2019-11-05 00:38:46 UTC
From Linux, open a file on a (writable) samba share using the following command line syntaxes:
1. ./soffice -o //<host>/<share>/<filename.ext>
2. ./soffice -o file://<host>/<share>/<filename.ext>
3. ./soffice -o smb://<host>/<share>/<filename.ext>

=> Attempts 1. and 2. will show Document in Use dialog, ie. the document can't be opened for writing.
Attempt 3. opens the document for writing.

Reproduced in LO 6.4.0.0.alpha1+ (51f6b20a0c8c3b2830547e4400cf4c513e9d9c00), 6.3.0.4 / Ubuntu 19.04.
In LO 6.2.0.3, all 3 syntaxes open the file for writing.
=> regression

I presume smb is the official prefix, but perhaps the other two syntaxes should work as well. Bibisected the change in behavior to the following commit using repo bibisect-linux-64-6.3. Adding Cc: to Stephan Bergmann, please take a look sometimes.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=46c645bf4e9909f5296e75028f1f5434e83942d2
author		Stephan Bergmann <sbergman@redhat.com>	2019-02-04 17:38:29 +0100
committer	Stephan Bergmann <sbergman@redhat.com>	2019-02-05 19:55:04 +0100

Move dubious file: -> smb: conversion from INetURLObject to file UCP
Comment 1 Commit Notification 2019-11-21 15:47:52 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/4d9fbf446e2807d27fc1855e9be2e55abedcee4f

tdf#128598: Revert "Move dubious file: -> smb: conversion from...

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2019-11-21 16:17:21 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/fa314082a89f917912dd2e610ac19991b84921fa

tdf#128598: Drop dubious file: -> smb: conversion completely

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Stephan Bergmann 2019-11-21 17:02:31 UTC
So for LO 6.4 and 6.3 (backport pending at <https://gerrit.libreoffice.org/#/c/83411/> "tdf#128598: Revert 'Move dubious file: -> smb: conversion from..."), I reinstated the original behavior.

Bug for master towards LO 6.5, I dropped the (Linux-only) silent treatment of file://<host>/... URLs as smb://<host>/... URLs completely.  This failure of the previous attempt shows that it is not really feasible to keep that (dubious, see the the previous attempt's commit message) feature.  Documented at <https://wiki.documentfoundation.org/index.php?title=ReleaseNotes/6.5&oldid=223232> "drop file: -> smb: rewrite".
Comment 4 Commit Notification 2019-11-22 20:30:19 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/4b951ba18019b3c5daeb692d812b4b98fc2029e4

tdf#128598: Revert "Move dubious file: -> smb: conversion from...

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-11-25 10:43:45 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-6-3-4":

https://git.libreoffice.org/core/commit/325f49fa210bd9e82637306be2138f8accb0e718

tdf#128598: Revert "Move dubious file: -> smb: conversion from...

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.